package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 固危废贮存信息--危险废物名录类型对象 pc_solid_hazardous_type
 *
 * @author szhpt
 * @date 2023-03-21*/
@ApiModel(value = "固危废贮存信息--危险废物名录类型")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_solid_hazardous_type")
public class PcSolidHazardousType extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "ID")
    /** ID */
    private String id;


    @ApiModelProperty(value = "废物类别")
    /** 废物类别 */
    @Excel(name = "废物类别")
    private String type;


    @ApiModelProperty(value = "类别名称")
    /** 类别名称 */
    @Excel(name = "类别名称")
    private String name;


    @ApiModelProperty(value = "行业来源")
    /** 行业来源 */
    @Excel(name = "行业来源")
    private String source;


    @ApiModelProperty(value = "废物代码")
    /** 废物代码 */
    @Excel(name = "废物代码")
    private String code;


    @ApiModelProperty(value = "物描述")
    /** 物描述 */
    @Excel(name = "物描述")
    private String describe;


    @ApiModelProperty(value = "危险特性")
    /** 危险特性 */
    @Excel(name = "危险特性")
    private String characteristics;


    @ApiModelProperty(value = "状态 N 停用 Y启用")
    /** 状态 N 停用 Y启用 */
    @Excel(name = "状态 N 停用 Y启用")
    private String state;


    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    @Excel(name = "创建时间")
    private String entityCreatedate;


    @ApiModelProperty(value = "修改时间")
    /** 修改时间 */
    @Excel(name = "修改时间")
    private String entityModifydate;


    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    @Excel(name = "创建人")
    private String entityCreateuser;


    @ApiModelProperty(value = "修改人")
    /** 修改人 */
    @Excel(name = "修改人")
    private String entityModifyuser;


    @ApiModelProperty(value = "版本号")
    /** 版本号 */
    @Excel(name = "版本号")
    private String version;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String valid;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("name", getName())
            .append("source", getSource())
            .append("code", getCode())
            .append("describe", getDescribe())
            .append("characteristics", getCharacteristics())
            .append("state", getState())
            .append("entityCreatedate", getEntityCreatedate())
            .append("entityModifydate", getEntityModifydate())
            .append("entityCreateuser", getEntityCreateuser())
            .append("entityModifyuser", getEntityModifyuser())
            .append("version", getVersion())
            .append("valid", getValid())
            .toString();
    }
}
